Summary:	Create Linux swap partition with assigning UUID function
Name:		mkswap-uuid
Version:	0.1.1
Release:	%mkrel 1
License:	GPL
Group:		System/Configuration/Boot and Init
Source0:	%{name}-%{version}-1.tar.xz
URL:		http://drbl.nchc.org.tw/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  glibc-devel, glibc-headers-devel, libext2fs-devel

%description
mkswap is modified from the mkswap in util-linux, but with the function
to assign UUID of swap partition. This is specially used in Clonezilla.
When the disk is cloned, the UUID of swap partition must be clone, too.
Otherwise in some distribution the swap will fail. Since the UUID is
assigned in /etc/fstab.

%prep
%setup -q -n mkswap-uuid

%build
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot}

%install
make DESTDIR=%{buildroot} INSTALLROOT=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
/sbin/*
/usr/share/man/*

%changelog
* Mon May 31 2010 MBantz <martin dot bantz at gmail dot com> 2.3.6
- Adapted to PCLinuxOS from steven at nchc dot org dot tw


